QGIS Application - Bug report #17638
DB Manager: Create Layer dialog should be closed or cleared once the new layer is generated
2017-12-05 08:23 PM - Harrissou Santanna

Status: Feedback

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 25535
Description

Open the DB Manager

Select a gpkg database (i didn't test other formats)

In Table Menu, select "Create a table"

Fill the dialog and click Create

You'll see the layer added to the database but the "create new layer" dialog is still open.

It should either be open and cleared or closed. (unless it's by design, to help recreate new layers from the previous one? not sure what
behavior is better)

History

#1 - 2017-12-05 08:36 PM - Giovanni Manghi

The same is for PostGIS (and likely also Spatialite).

I think keeping it open is by design, to allow create other tables without having to reopen the dialog again. In this sense clearing the form make sense to
me.

By the way that dialog has still the problem (reported in another ticket) that the CRS must be entered manually, it does not open the normal QGIS CRS
selector.

#2 - 2019-03-09 04:34 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.
